digiKam Developer Documentation: ShowFoto::Showfoto Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
ShowFoto::Showfoto Class Reference
Inheritance diagram for ShowFoto::Showfoto:

## Public Slots
void | slotSetup () override
void | slotSetupICC () override
Public Slots inherited from Digikam::EditorWindow
void | slotSetup () override=0
virtual void | slotSetupICC ()=0

## Signals
void | signalInfoList (const ShowfotoItemInfoList &)
void | signalLoadCurrentItem (const QList< QUrl > &urlList)
void | signalOpenFile (const QList< QUrl > &urls)
void | signalOpenFolder (const QUrl &)
Signals inherited from Digikam::EditorWindow
void | signalNoCurrentItem ()
void | signalPreviewModeChanged (int)
void | signalSelectionChanged (const QRect &)
void | signalToolApplied ()

## Public Member Functions
| Showfoto (const QList< QUrl > &urlList, QWidget *const parent=nullptr)
DInfoInterface * | infoIface (DPluginAction *const ac) override
| Return the interface instance to access to items information.
virtual void | show ()
Public Member Functions inherited from Digikam::EditorWindow
| EditorWindow (const QString &name, QWidget *const parent=nullptr)
bool | actionEnabledState () const
void | loadTool (EditorTool *const tool)
void | registerExtraPluginsActions (QString &dom) override
Public Member Functions inherited from Digikam::DXmlGuiWindow
| DXmlGuiWindow (QWidget *const parent=nullptr, Qt::WindowFlags f=Qt::WindowFlags())
QList< QAction * > | allActions () const
| Return all actions from internal collection.
void | cleanupActions ()
| Cleanup unwanted actions from action collection.
QString | configGroupName () const
void | createFullScreenAction (const QString &name)
| Create Full-screen action to action collection instance from managed window set through setManagedWindow().
void | createHelpActions (const QString &handbookSection, bool coreOptions=true)
| Create common actions from Help menu for all digiKam main windows.
void | createSettingsActions ()
| Create common actions to setup all digiKam main windows.
void | createSidebarActions ()
| Create common actions to handle side-bar through keyboard shortcuts.
bool | fullScreenIsActive () const
| Return true if managed window is currently in Full Screen Mode.
void | readFullScreenSettings (const KConfigGroup &group)
| Read full-screen settings from KDE config file.
void | registerPluginsActions ()
| Register all generic plugins action to this instance.
void | setConfigGroupName (const QString &name)
| Manage config group name used by window instance to get/set settings from config file.
void | setFullScreenOptions (int options)
| Set full-screen options to managed window.
void | unminimizeAndActivateWindow ()

## Additional Inherited Members
Public Types inherited from Digikam::EditorWindow
enum | TransformType { RotateLeft , RotateRight , RotateAuto , FlipHorizontal , FlipVertical }
Static Public Member Functions inherited from Digikam::DXmlGuiWindow
static QAction * | buildStdAction (StdActionType type, const QObject *const recvr, const char *const slot, QObject *const parent)
static QString | configFullScreenHideSideBarsEntry ()
static QString | configFullScreenHideStatusBarEntry ()
static QString | configFullScreenHideThumbBarEntry ()
static QString | configFullScreenHideToolBarsEntry ()
| Shared with FullScreenSettings.
static void | restoreWindowSize (QWindow *const win, const KConfigGroup &group)
static void | saveWindowSize (QWindow *const win, KConfigGroup &group)
static void | setGoodDefaultWindowSize (QWindow *const win)
static void | setupIconTheme ()
| If we have some local breeze icon resource, prefer it.
Static Public Attributes inherited from Digikam::EditorWindow
static const QString | CONFIG_GROUP_NAME
Protected Types inherited from Digikam::EditorWindow
enum | SaveAskMode { AskIfNeeded , OverwriteWithoutAsking , AlwaysSaveAs , SaveVersionWithoutAsking = OverwriteWithoutAsking , AlwaysNewVersion = AlwaysSaveAs }
Protected Slots inherited from Digikam::EditorWindow
virtual bool | saveOrSaveAs ()
void | slotAboutToShowRedoMenu ()
void | slotAboutToShowUndoMenu ()
virtual void | slotAddedDropedItems (QDropEvent *e)=0
virtual void | slotBackward ()=0
virtual void | slotChanged ()=0
void | slotComponentsInfo () override
virtual void | slotContextMenu ()=0
virtual void | slotDeleteCurrentItem ()=0
virtual void | slotDiscardChanges ()
virtual void | slotFileOriginChanged (const QString &filePath)
virtual void | slotFileWithDefaultApplication ()=0
virtual void | slotFirst ()=0
virtual void | slotForward ()=0
virtual void | slotLast ()=0
virtual void | slotLoadingFinished (const QString &filename, bool success)
void | slotLoadingProgress (const QString &filePath, float progress)
virtual void | slotLoadingStarted (const QString &filename)
void | slotNameLabelCancelButtonPressed ()
virtual void | slotOpenOriginal ()
virtual void | slotOpenWith (QAction *action=nullptr)=0
virtual void | slotPrepareToLoad ()
virtual void | slotRevert ()=0
void | slotSavingProgress (const QString &filePath, float progress)
virtual void | slotSavingStarted (const QString &filename)
void | slotSelected (bool)
virtual void | slotUpdateItemInfo ()=0
Protected Slots inherited from Digikam::DXmlGuiWindow
bool | slotClose ()
Protected Member Functions inherited from Digikam::EditorWindow
void | addServicesMenuForUrl (const QUrl &url)
void | applyColorManagementSettings ()
void | applyIOSettings ()
void | applyStandardSettings ()
bool | checkOverwrite (const QUrl &url)
bool | checkPermissions (const QUrl &url)
void | colorManage ()
EditorStackView * | editorStackView () const
void | execSavingProgressDialog ()
ExposureSettingsContainer * | exposureSettings () const
virtual bool | hasOriginalToRestore ()
bool | moveLocalFile (const QString &src, const QString &dest)
void | movingSaveFileFinished (bool successful)
void | openWith (const QUrl &url, QAction *action)
bool | promptForOverWrite ()
bool | promptUserDelete (const QUrl &url)
bool | promptUserSave (const QUrl &url, SaveAskMode mode=AskIfNeeded, bool allowCancel=true)
void | readStandardSettings ()
void | resetOrigin ()
void | resetOriginSwitchFile ()
virtual DImageHistory | resolvedImageHistory (const DImageHistory &history)
VersionFileOperation | saveAsVersionFileOperation (const QUrl &url, const QUrl &saveLocation, const QString &format)
VersionFileOperation | saveInFormatVersionFileOperation (const QUrl &url, const QString &format)
void | saveStandardSettings ()
VersionFileOperation | saveVersionFileOperation (const QUrl &url, bool fork)
void | setupContextMenu ()
void | setupSelectToolsAction ()
void | setupStandardActions ()
void | setupStandardConnections ()
void | setupStatusBar ()
SidebarSplitter * | sidebarSplitter () const
void | startingSave (const QUrl &url)
bool | startingSaveAs (const QUrl &url)
bool | startingSaveCurrentVersion (const QUrl &url)
bool | startingSaveNewVersion (const QUrl &url)
bool | startingSaveNewVersionAs (const QUrl &url)
bool | startingSaveNewVersionInFormat (const QUrl &url, const QString &format)
void | toggleNonDestructiveActions ()
void | toggleStandardActions (bool val)
void | toggleToolActions (EditorTool *tool=nullptr)
void | toggleZoomActions (bool val)
| Method used by Editor Tools.
virtual VersionManager * | versionManager () const
bool | waitForSavingToComplete ()
Protected Member Functions inherited from Digikam::DXmlGuiWindow
void | closeEvent (QCloseEvent *e) override
void | editKeyboardShortcuts (KActionCollection *const extraac=nullptr, const QString &actitle=QString())
| Call this method from your main window to show keyboard shortcut config dialog with an extra action collection to configure.
bool | eventFilter (QObject *obj, QEvent *ev) override
void | keyPressEvent (QKeyEvent *e) override
QAction * | showMenuBarAction () const
QAction * | showStatusBarAction () const
Protected Attributes inherited from Digikam::EditorWindow
bool | m_actionEnabledState = false
QAction * | m_applyToolAction = nullptr
QAction * | m_backwardAction = nullptr
QColor | m_bgColor
Canvas * | m_canvas = nullptr
QAction * | m_closeToolAction = nullptr
QMenu * | m_contextMenu = nullptr
QAction * | m_discardChangesAction = nullptr
bool | m_editingOriginalImage = true
QAction * | m_exportAction = nullptr
QAction * | m_fileDeleteAction = nullptr
QAction * | m_firstAction = nullptr
QString | m_formatForRAWVersioning
QString | m_formatForSubversions
QAction * | m_forwardAction = nullptr
IOFileSettings * | m_IOFileSettings = nullptr
QAction * | m_lastAction = nullptr
StatusProgressBar * | m_nameLabel = nullptr
bool | m_nonDestructive = true
QAction * | m_openVersionAction = nullptr
KToolBarPopupAction * | m_redoAction = nullptr
DAdjustableLabel * | m_resLabel = nullptr
QAction * | m_revertAction = nullptr
QAction * | m_saveAction = nullptr
QAction * | m_saveAsAction = nullptr
QAction * | m_saveCurrentVersionAction = nullptr
KToolBarPopupAction * | m_saveNewVersionAction = nullptr
QAction * | m_saveNewVersionAsAction = nullptr
QMenu * | m_saveNewVersionInFormatAction = nullptr
SavingContext | m_savingContext
QPointer< QProgressDialog > | m_savingProgressDialog = nullptr
QAction * | m_serviceAction = nullptr
QMenu * | m_servicesMenu = nullptr
bool | m_setExifOrientationTag = true
QAction * | m_showBarAction = nullptr
SidebarSplitter * | m_splitter = nullptr
EditorStackView * | m_stackView = nullptr
QVector< TransformType > | m_transformQue
KToolBarPopupAction * | m_undoAction = nullptr
Protected Attributes inherited from Digikam::DXmlGuiWindow
DLogoAction * | m_animLogo = nullptr

## Member Function Documentation

## ◆ infoIface()

DInfoInterface * ShowFoto::Showfoto::infoIface | ( | DPluginAction *const | ac | ) |
| overridevirtual

Implements Digikam::DXmlGuiWindow.